/*
** 3/06/2001
** http://graphics.stanford.edu/software/wiregl
**
** Copyright 2001
** The Board of Trustees of The Leland Stanford Junior University.
** All rights reserved.
**
** Except for commercial resale, lease, license or other commercial
** transactions, permission is hereby given to use, copy, and/or
** modify this software, provided that the above copyright notice and
** this permission notice appear in all copies of this software.  No
** part of this software or any derivatives thereof may be used in
** graphics systems for resale or for use in a commercial product.
**
** This software is provided "as is" and without warranty of any kind,
** express, implied or otherwise, including without limitation, any
** warranty of merchantability or fitness for a particular purpose.
*/

#ifdef WINDOWS
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif
#include <GL/gl.h>

#include "wiregl/include/wireGL.h"
#include "wiregl/include/wiregl_protocol.h"
#include "wiregl/include/wiregl_pipe.h"
#include "wiregl/include/wiregl_util.h"

void __decodePixelMapfv( void  )
{
	GLenum map = READ_DATA( sizeof( int ) + 0, GLenum );
	GLsizei mapsize = READ_DATA( sizeof( int ) + 4, GLsizei );
	GLfloat *values = DATA_POINTER( sizeof( int ) + 8, GLfloat );

	glPixelMapfv( map, mapsize, values );
	INCR_VAR_PTR();
}

void __decodePixelMapuiv( void  )
{
	GLenum map = READ_DATA( sizeof( int ) + 0, GLenum );
	GLsizei mapsize = READ_DATA( sizeof( int ) + 4, GLsizei );
	GLuint *values = DATA_POINTER( sizeof( int ) + 8, GLuint );
		
	glPixelMapuiv( map, mapsize, values );
	INCR_VAR_PTR();
}

void __decodePixelMapusv( void  )
{
	GLenum map = READ_DATA( sizeof( int ) + 0, GLenum );
	GLsizei mapsize = READ_DATA( sizeof( int ) + 4, GLsizei );
	GLushort *values = DATA_POINTER( sizeof( int ) + 8, GLushort );

	glPixelMapusv( map, mapsize, values );
	INCR_VAR_PTR();
}
